#pragma once

#define CLIENT_NOT_ENOUGH_ARGUMENTS 1
#define CLIENT_WRONG_ARGUMENT 2
#define CLIENT_UNKNOWN_EXCEPTION 10
#define CLIENT_TRANSLATION_FAILED 20
#define CLIENT_CONNECTION_FAILED 30
#define CLIENT_COMMUNICATION_FAILED 31
#define CLIENT_OUT_OF_TURNS 40
#define CLIENT_OUT_OF_TIME 41
#define CLIENT_NONAPPLICABLE_ACTION 42
#define CLIENT_BAD_ACTION 43
#define CLIENT_SURRENDER 44

#define SERVER_NOT_ENOUGH_ARGUMENTS 1
#define SERVER_WRONG_ARGUMENT 2
#define SERVER_UNKNOWN_EXCEPTION 10
#define SERVER_TRANSLATION_FAILED 20
#define SERVER_COMMUNICATION_FAILED 31
#define SERVER_BAD_ACTION 43
#define SERVER_SURRENDER 44
